Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 15/04/2011, à 09:21

flammecan

Roblox ne marche pas sous ubuntu

Bonjour , j'ai en ce monment un ami qui veut que je joue a Roblox a http://www.roblox.com/.

Je n'arrive pas a faire fonctioner le jeu. j'ai éssayé Wine , playonlinx et Roblox4linux ils ne marchent pas.

aidez moi sil vous plait

Merci d'avance

flamme


Le savoir n'est pas de la sagesse si il est mal utilisé!

Hors ligne

#2 Le 15/04/2011, à 10:03

abelthorne

Re : Roblox ne marche pas sous ubuntu

C'est quoi, roblox4linux ? une version fournie sur le site du jeu ou une bidouille faite par quelqu'un d'autre ?

En quoi ce que tu as essayé ne marche pas ? le jeu ne se lance pas ? il se lance avec des problèmes ? tu as des messages d'erreur ?

Lorsque tu lances roblox4linux dans un terminal, qu'est-ce que tu as comme infos ?


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#3 Le 15/04/2011, à 10:14

J5012

Re : Roblox ne marche pas sous ubuntu

encore un logiciel privateur ... base sur les tech microsoft ... une sorte de webapp s'excutant dans un environnement ie / windowsmedia

telecharger http://www.fichier-dll.fr/wmasf.dll,4493 et http://www.fichier-dll.fr/wmvcore.dll,4566 pour faire marcher ... perso j'obtiens l'interface mais au bout d'un bref moment ca crash !

Hors ligne

#4 Le 16/04/2011, à 09:16

flammecan

Re : Roblox ne marche pas sous ubuntu

roblox4linux est une bidouille crée par quelqu'un d'autre et quand je le lance avec wine le jeu commance mais ne ce lance pas il marque starting roblox et puis disparait c'est très énervant. Roblox4linux est un site d'aide d'installation de roblox (non officiel).

Merci de votre réponse rapide


Le savoir n'est pas de la sagesse si il est mal utilisé!

Hors ligne

#5 Le 13/10/2019, à 17:36

Tomahawk

Re : Roblox ne marche pas sous ubuntu

Bonjour,

Je détère un vieux sujet, mais est-ce que qqun y joue, ou a réussi à le faire tourner sous Ubuntu ?
Merci.


sous Ubuntu 18.04 - 64bits

Hors ligne

#6 Le 03/06/2020, à 14:12

alouette

Re : Roblox ne marche pas sous ubuntu

Bonjour,

De même, je cherche à faire tourner roblox sous linux sans solution pour le moment. J'ai testé l'installation avec la vidéo youtube :
https://www.youtube.com/watch?v=FnBibNKh8jw
arrivé à 55 secondes de la vidéo, j'obtiens, de mon côté, un message d'erreur ; "erreur : La dépendance ne peut être satisfaite : libpng12-0"

Merci d'avance à ceux qui pourront m'aider !

Dernière modification par alouette (Le 03/06/2020, à 15:23)

Hors ligne

#7 Le 03/06/2020, à 16:57

erresse

Re : Roblox ne marche pas sous ubuntu

Bonjour,
"libpng12-0" = bibliothèque de gestion des images *.png.
Elle existait sous xenial (16.04) mais ne semble plus disponible à partir de bionic (18.04).
À voir si la version de xenial peut être installée dans les versions ultérieures ou si elle est incompatible...
Voir ICI pour plus de détails et se procurer le paquet.

Dernière modification par erresse (Le 03/06/2020, à 16:59)


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#8 Le 03/06/2020, à 17:52

alouette

Re : Roblox ne marche pas sous ubuntu

Merci beaucoup pour cette réponse. Par contre, je n'ai pas les bases pour comprendre le lien envoyé. Comment choisir quel paquet installer et quelle est la procédure d'installation?

Merci d'avance

Hors ligne

#9 Le 04/06/2020, à 09:20

Masch77

Re : Roblox ne marche pas sous ubuntu

Bonjour, Suivant le lien envoyé par erresse, le paquet libpng12-0 est disponible en téléchargement direct ici. Pour l'installer, tu peux ensuite ouvrir un terminal et faire

sudo dpkg -i NomDuFichier

Ubuntu 20.04 LTS dual boot avec Win7.
Programme en python (parfois).
Fait des Scanlations (aussi).
Voudrait bien coder sur 3DS.

Hors ligne

#10 Le 04/06/2020, à 17:26

alouette

Re : Roblox ne marche pas sous ubuntu

Merci, je vais faire ça. Comment as-tu sur que c'était la version "amd64" à installer?

Hors ligne

#11 Le 04/06/2020, à 18:25

abelthorne

Re : Roblox ne marche pas sous ubuntu

amd64, c'est l'architecture Intel 64 bits (ça vaut aussi pour les CPU AMD, ils sont compatibles Intel). Si ton Ubuntu est bien en 64 bits et que tu es sur un PC "normal", ce sont les paquets avec cette archi qui seront utilisés. Si elle est en 32 bits, ce sont les paquets i386. Sur d'autres types de matériel, ça pourrait être une autre archi : par exemple, les ordinateurs avec un CPU ARM comme les Raspberry Pi utiliseront les paquets avec l'archi armhf ou arm64 ; les vieux Mac avec un CPU PowerPC utilisent l'archi powerpc ou ppc64el ; etc.

Note qu'Ubuntu gère les architectures multiples, càd qu'une Ubuntu 64 bits sait aussi utiliser les paquets 32 bits. Si une appli a été compilée en 32 bits, elle aura besoin des biblis diverses en 32 bits, auquel cas il faudra installer les paquets correspondants en version i386. Ça peut notamment concerner les jeux (surtout propriétaires).

Dernière modification par abelthorne (Le 04/06/2020, à 18:27)


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#12 Le 11/06/2020, à 07:38

alouette

Re : Roblox ne marche pas sous ubuntu

Merci pour ces explications.

Je reviens vers vous parce que j'ai un nouveau message d'erreur, au même endroit : "Erreur : la dépendance ne peut être satisfaite : libpng12-0". Des idées sur ce qu'il faut faire ?

Hors ligne

#13 Le 11/06/2020, à 07:50

cqfd93

Re : Roblox ne marche pas sous ubuntu

Bonjour,

alouette a écrit :

Je reviens vers vous parce que j'ai un nouveau message d'erreur, au même endroit : "Erreur : la dépendance ne peut être satisfaite : libpng12-0". Des idées sur ce qu'il faut faire ?

Il faut donner le retour complet de la commande utilisée sinon on ne peut pas aider.

Un retour complet doit contenir toutes les lignes depuis celle de la commande jusqu'à la ligne attendant la commande suivante, exemple :

moi@lenovo:~$ uname -a
Linux moi-lenovo 4.4.0-97-generic #120-Ubuntu SMP Tue Sep 19 17:28:18 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
moi@lenovo:~$

cqfd93

En ligne

#14 Le 11/06/2020, à 09:44

alouette

Re : Roblox ne marche pas sous ubuntu

Ce n'est pas un retour de commande, cela se passe au moment du lancement du "crossover" (l'équivalent à 55 secondes dans cette vidéo :
https://www.youtube.com/watch?v=FnBibNKh8jw

Hors ligne

#15 Le 11/06/2020, à 11:08

erresse

Re : Roblox ne marche pas sous ubuntu

Bonjour,
"libpng12-0" n'est plus disponible à partir de bionic (18.04), il faut la récupérer dans xenial et l'installer manuellement avant d'installer le jeu.
Voir ICI pour télécharger.


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#16 Le 11/06/2020, à 13:58

alouette

Re : Roblox ne marche pas sous ubuntu

erresse a écrit :

Bonjour,
"libpng12-0" n'est plus disponible à partir de bionic (18.04), il faut la récupérer dans xenial et l'installer manuellement avant d'installer le jeu.
Voir ICI pour télécharger.

Merci, c'est ce que j'ai effectué, pas de problème pour l'installation (une fois l'archive téléchargée, j'ai cliqué droit pour installer). C'est pour installer le crossover qui permettrait de jouer à Roblox que j'ai le message d'erreur parlant de libpng12-0 : "Erreur : la dépendance ne peut être satisfaite : libpng12-0"

Cela voudrait dire que l'installation du fichier ne s'est pas faite correctement ?

Hors ligne

#17 Le 11/06/2020, à 17:46

erresse

Re : Roblox ne marche pas sous ubuntu

Je ne sais pas à quoi "crossover" doit te servir, mais apparemment, c'est un équivalent (payant) de Wine, donc une pseudo interface destinée à faire fonctionner les applications Windows dans l'environnement Linux...
Et ce serait pour installer "crossover" que tu as des ennuis avec la bibliothèque "libpng12-0", c'est ça ?
Pour tester moi-même, j'ai téléchargé le programme "roblox...exe" en suivant le lien que tu donnes. Je l'ai exécuté directement avec Wine et il m'a installé le menu Wine contenant cette application, sans rien faire de spécial.
Après, il faut s'abonner pour en faire quelque chose et telle n'est pas mon intention, donc je ne sais pas si ça fonctionne "in fine"...
As-tu essayé de lancer le programme exe avec Wine chez toi ? Peut-être est-ce suffisant pour utiliser le truc, sans devoir installer "crossover" qui semble poser problème.


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#18 Le 11/06/2020, à 18:59

abelthorne

Re : Roblox ne marche pas sous ubuntu

Si c'est pour Crossover/Wine qu'il faut libpng12, il faut peut-être l'installer en 32 bits. Donc télécharge et installe les paquets en version amd64 et i386.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#19 Le 14/06/2020, à 11:35

alouette

Re : Roblox ne marche pas sous ubuntu

Merci pour vos retours. Je suis prête à essayer "wine", que je ne connais pas non plus, mais en tapant "wine" dans la logitec, je tombe sur une longue liste de logiciels qui ne correspondent pas. Est-ce que ce logiciel a un nom plus long que je pourrais taper pour le retrouver?

Hors ligne

#20 Le 14/06/2020, à 11:54

abelthorne

Re : Roblox ne marche pas sous ubuntu

N'installe pas Wine tout de suite. Si vraiment tu veux le faire, on verra ça en détail (ajouter une version à jour via un dépôt, etc.). Crossover, que tu utilises déjà pour lancer Roblox (si j'ai bien suivi) est une version commerciale de Wine. D'abord, installe libpng12 en 64 bits et en 32 bits et essaie de relancer Roblox comme d'habitude : est-ce qu'il fonctionne ou est-ce que tu as le même message d'erreur ?


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#21 Le 22/07/2020, à 18:25

alouette

Re : Roblox ne marche pas sous ubuntu

Bonjour,

n'y arrivant pas et ayant pas mal de travail j'avais laissé tombé mais je m'y remets : j'ai téléchargé et installé amd64 et i386. J'aurais bien lancé Roblox comme d'habitude mais je ne l'utilise pas d'habitude...
J'ai essayé de relancé le crossover du coup et j'ai un message d'erreur différent et un peu plus tard (il m'a proposé d'installer les paquets avant). Voici le message :
"L'ensemble des fichiers requis n'a pu être téléchargé
Please check your internet connection or installation modem, and make sure your APT cache is up-to-date
Il y a une barre "détails" que je peux ouvrir mais je ne peux pas en copier le contenu : c'est un lien "failed to fetch http://fr.archive.ubuntu.com ...... si besoin, je le recopierai en entier

Hors ligne

#22 Le 22/07/2020, à 18:41

abelthorne

Re : Roblox ne marche pas sous ubuntu

Tu es sur quelle version d'Ubuntu ? C'est difficile d'en être sûr sans avoir le message d'erreur avec l'adresse complète mais je serais prêt à parier que tu es sur une version qui n'est plus supportée et dont les dépôts ne sont plus en ligne.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne